import sys,os
sys.path.append(os.path.abspath('../'))

from viiapackage import *

from uniaxial_material import fem_create_uniaxial_non_linear_elastic_model
project = viia_create_project('uniaxial_material-model')


E_s = 2.1e+11
stress_strain_diagram = [[-1, 0, 1], [-1, 0, E_s]]
mat_model = fem_create_uniaxial_non_linear_elastic_model(project=project,
                                                         youngs_modulus=E_s,
                                                         stress_strain_diagram=stress_strain_diagram)
new_mat = project.create_user_defined_steel(name='LIN-STEEL-NO-COMPRESSION', material_model=mat_model)

truss = project.viia_create_beam(name='N0-BALKEN-LIN-STAAL-100x100-1', material='LIN-STAAL', geometry="100x100",
                                 points=[[0, 0, 0], [1, 0, 0]])
project.viia_truss(truss)

truss.material = new_mat

project.create_model()
